> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/digital-river-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/digital-river-api/developer-resources/digitalrivercheckout.js-reference/accessing-country-and-currency.md).

# Accessing country and currency

If you're using the [local pricing service](/digital-river-api/using-our-services/local-pricing.md) with a [low code checkout solution](/digital-river-api/integration-options/low-code-checkouts.md), then [`digitalRiverPricing`](#digitalriverpricing) allows you to access the user's selected country and currency[.](/digital-river-api/using-our-services/local-pricing.md#local-pricing-selector)

## `digitalRiverPricing`

The `digitalRiverPricing` object, which you can access after [`onReady`](/digital-river-api/developer-resources/digitalrivercheckout.js-reference/initializing-digitalrivercheckout.js/digitalrivercheckout-configuration-object.md#onready) executes, exposes [`getCountry()`](#digitalriverpricing.getcountry) and [`getCurrency()`](#digitalriverpricing.getcurrency).

### `digitalRiverPricing.getCountry()`

Call `digitalRiverPricing.getCountry(`) to retrieve the country currently selected in the [local pricing selector](/digital-river-api/using-our-services/local-pricing.md#local-pricing-selector).

```javascript
digitalRiverPricing.getCountry();
```

The returned value is formatted as an [Alpha-2 country code](https://www.iban.com/country-codes).

### `digitalRiverPricing.getCurrency()`

Call `digitalRiverPricing.getCurrency()` to retrieve the currency that is currently selected in the [local pricing selector](/digital-river-api/using-our-services/local-pricing.md#local-pricing-selector).

```javascript
digitalRiverPricing.getCountry()
```

The returned value is formatted as a three-letter alphabetic code that conforms to the [ISO 4217](https://www.xe.com/iso4217.php) standard.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/digital-river-api/developer-resources/digitalrivercheckout.js-reference/accessing-country-and-currency.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
